org.eclipse.ui.navigator

## Class PipelinedShapeModification

- java.lang.Object
- - org.eclipse.ui.navigator.PipelinedShapeModification

    public final class PipelinedShapeModification
    extends Object

Indicates how a shape modification should be transformed when applied to the tree. Clients use `PipelinedShapeModification` as the input and return type from intercept methods on `IPipelinedTreeContentProvider`.

Overriding extensions should use these to map attempts to directly modify the tree down to the overridden model. A shape modification can either be an add or remove shape modification, and the type is determined by the context of its use. If supplied to an `interceptRemove` method, then it is a remove shape modification, otherwise if supplied to an `interceptAdd` method, then it is an add shape modification.

Since:
  3.2

### Constructor Summary

Constructors
Constructor and Description
`PipelinedShapeModification(Object aParent, Set theChildren)` Create a shape modification.

### Method Summary

All Methods Instance Methods Concrete Methods
`Set` `getChildren()`
`Object` `getParent()`
`void` `setParent(Object aParent)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PipelinedShapeModification

    public PipelinedShapeModification(Object aParent,
                                      Set theChildren)

Create a shape modification. The given parent and children will be set as the initial values for the shape modification.

Parameters:
  `aParent` - The parent for the add or remove call to the tree.
  `theChildren` - The children that should be added or removed from the tree.

### Method Detail

#### getParent

    public final Object getParent()

Returns:
  The parent to use for the shape modification.

#### setParent

    public final void setParent(Object aParent)

Parameters:
  `aParent` - The parent to use for the shape modification.

#### getChildren

    public final Set getChildren()

Returns:
  The current set of children. Clients may add or remove elements directly to this set.